# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "talos_messenger_actions"
version = "0.2.36"
description = "Messenger actions for Talos"
homepage = "https://github.com/kindredgroup/talos"
readme = "README.md"
keywords = [
    "talos",
    "messenger",
]
license = "MIT"
repository = "https://github.com/kindredgroup/talos"

[lib]
doctest = false

[dependencies.ahash]
version = "0.8.3"

[dependencies.async-trait]
version = "0.1"

[dependencies.env_logger]
version = "0.10"

[dependencies.futures-executor]
version = "0.3.28"

[dependencies.futures-util]
version = "0.3.26"

[dependencies.indexmap]
version = "2.0.0"
features = ["rayon"]

[dependencies.litemap]
version = "=0.7.4"

[dependencies.log]
version = "0.4"
features = [
    "kv_unstable",
    "std",
    "kv_unstable_serde",
]

[dependencies.rdkafka]
version = "0.34.0"
features = ["sasl"]

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.strum]
version = "0.25"
features = ["derive"]

[dependencies.talos_certifier]
version = "0.2.36"

[dependencies.talos_certifier_adapters]
version = "0.2.36"

[dependencies.talos_common_utils]
version = "0.2.36"

[dependencies.talos_messenger_core]
version = "0.2.36"

[dependencies.talos_rdkafka_utils]
version = "0.2.36"

[dependencies.talos_suffix]
version = "0.2.36"

[dependencies.thiserror]
version = "1.0.31"

[dependencies.time]
version = "0.3.30"

[dependencies.tokio]
version = "1"
features = [
    "full",
    "test-util",
    "full",
]

[dependencies.zerofrom]
version = "=0.1.5"

[dev-dependencies.mockall]
version = "0.11.3"

[dev-dependencies.rand]
version = "0.8.5"

[dev-dependencies.tokio-test]
version = "0.4.2"
